package net.wanji.opt.servicev2.implv2;

import com.alibaba.fastjson.JSONObject;
import groovy.util.logging.Slf4j;
import net.wanji.opt.dao.mapper.TrunkLineStatusDisMapper;
import net.wanji.opt.entity.GreenwaveHist;
import net.wanji.opt.servicev2.TrunkLineStatusDisService;
import net.wanji.opt.vo2.TrunkLineStatusDisInfoVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * @author zhengyifan
 * @date 2025/3/14
 */

@Service
@Slf4j
public class TrunkLineStatusDisImpl implements TrunkLineStatusDisService {
    @Resource
    private TrunkLineStatusDisMapper trunkLineStatusDisMapper;

    @Override
    public JSONObject trunkLineStatusDisInfoList(String greenID, String date, String timeGranule) {
        Map<String, Object> params = new HashMap<>();
        params.put("greenID", greenID);
        params.put("date", date);
        params.put("timeGranule", timeGranule);

        List<TrunkLineStatusDisInfoVO> list= trunkLineStatusDisMapper.findStatusDistribution(params);
        List<TrunkLineStatusDisInfoVO> list1= trunkLineStatusDisMapper.findPlanTime(params);

        JSONObject jsonObject = new JSONObject();
        jsonObject.put("dataList", list);
        jsonObject.put("timeList", list1);
        return jsonObject;
    }
}
